# Control de LED Beagle Bone Black

## Este programa permite encender o apagar el LED 3 de la Beagle Bone Black con un script en SH.

![](leds.png)

Se comienza por declarar el path a seguir para
manipular el LED 3. 
```sh 
#!/bin/bash
LED3_PATH=/sys/class/leds/beaglebone:green:usr3
```
Si se desea manipular otro LED solamente es necesario cambiar el PATH para que coincida con el del led desado, como se muestra 
a continuación:
```sh
LED0_PATH=/sys/class/leds/beaglebone:green:usr0
LED1_PATH=/sys/class/leds/beaglebone:green:usr1
LED2_PATH=/sys/class/leds/beaglebone:green:usr2
```
Se utiliza una función para remover el trigger.
```sh
function removeTrigger
{
         echo "none" >> "$LED3_PATH/trigger"
}
```
Se utilizan las siguientes condicionantes para saber si e desea apagar, prender o parpadear el LED:
```SH
echo "The LED3 user is starting"
 if [ "$1" == "on" ]; then
         removeTrigger
         echo "1" >> "$LED3_PATH/brightness"
 elif [ "$1" == "off" ]; then
         removeTrigger
         echo "0" >> "$LED3_PATH/brightness"
 elif [ "$1" == "blink" ]; then
    removeTrigger
    echo "1" >> "$LED3_PATH/brightness"
    sleep 0.5
    echo "0" >> "$LED3_PATH/brightness"
    sleep 0.5
    else 
        echo "invalid parameter."
        echo "To turn on the LED type: ./blink_LED3.sh on"
        echo "To turn off the LED type: ./blink_LED3.sh off"
        echo "To make the LED blink type: ./blink_LED3.sh blink"
 fi
 echo "Done"               
```
## Permisos del archivo.
Después de esto se guarda el archivo y se le dan permisos de ejecución con el comando:

```sh
sudo chmod u+x Nombre_del_archivo.sh
```

## Ejecución del programa.
Finalmente para ejecutar el archivo en la Beagle Bone se utiliza el siguiente comando, en este ejemplo se le da el argumento para que el LED prenda y apague:

```sh
 ./Nombre_del_archivo.sh blink
```

Para encender el LED se utilice el siguiente comando:
```sh
 ./Nombre_del_archivo.sh on
```
Para apagar el LED se utilice el siguiente comando:
```sh
 ./Nombre_del_archivo.sh off
```